2

All sorts of problems with swftools

view story
linux-howto

http://forums.fedoraforum.org – Hi all, I'm new to the forum and also new to Linux so I hope I'm posting in the right place here. I have recently made my first Linux install using Fedora 11 and Alfresco with a view to running a PoC ECM server. After some initial teething troubles and a seemingly exponential learning curve, Fedora and ALfresco are now installed and running bar a couple of things. Alfresco relies on swftools to automatically transform file types and swftools does not come installed either with Fedora, as an available package to download within the Add/Remove software program or with Alfresco. I have installed the dependencies of swftools (zlib-devel, libjpeg-devel, giflib-devel, freetype-devel, gcc, gcc-c++ and make) but for some reason neither swftools-0.8.1 nor swftools-0.9.0 will compile properly. I even installed lame in case but still problems. This is what I do to install: tar -zvxf swftools-0.9.0.tar.gz *stuff happens* cd swftools-0.9.0 ./configure --disable-lame (lame disabled as advised by Alfresco Wiki) *stuff happens* make *stuff happens with errors* The errors include : warning: initialization from incompatible pointer type invalid conversion from 'const char*' to 'char*' Error 2 etc... Can anyone shed any light on what might be wrong...? Thanks in advance, Rup (HowTos)